<?xml version="1.0" encoding="UTF-8"?>
<!--
Proyecto SNC 2015

@cu CU-
@author felipe.cadena
-->
<!DOCTYPE html>
<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui"
        id="direccionEtapasForm">
    <p:spacer height="20" /> 
    <p:fieldset>
        <p:messages id="direccionEtapasMsgs" />
        <legend>
            <h:outputLabel value="Informacion de registro dirección" styleClass="legendTitle"/>
        </legend>
        <h:panelGrid columns="1" cellpadding="5">

            <p:messages id="direccionMsg" showDetail="false" globalOnly="false" />	

            <h:panelGrid columns="6" cellspacing="5" cellpadding="5" width="100%">

                <h:outputLabel value="Dirección: " styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                <p:inputText value="#{entradaProyeccion.direccionEtapas.direccion}" id="direccionEt" 

                             label="Direccion" style="width:200px;height:14px;">
                </p:inputText>

                <h:outputLabel value="Principal " styleClass="outputLabelStyle" />
                <p:selectBooleanCheckbox value="#{entradaProyeccion.direccionEtapas.selectedPrincipal}"
                                         disabled="true"
                                         id="principalEtapas" />
            </h:panelGrid>


            <h:panelGrid columns="2" cellspacing="5" cellpadding="5" width="100%">
                <h:outputLabel value="Código postal: " styleClass="outputLabelStyle" />
                <h:inputText 
                    value="#{entradaProyeccion.direccionEtapas.codigoPostal}" 
                    size="12" maxlength="6" />

            </h:panelGrid>


            <p:fieldset legend="Dirección normalizada" toggleable="false" toggleSpeed="500">
                <h:panelGrid columns="4" cellspacing="5" cellpadding="5" width="100%">
                    <p:commandButton value="Generar" icon="ui-icon-gear" 
                                     action="#{entradaProyeccion.normalizarDireccion}" 
                                     update="direccionNormalizadaEtapas, aceptarDireccionBtn, 
                                     normalizadaBoolEtapas, direccionNoNormalizada, :direccionEtapasForm" />
                    <h:outputText rendered="#{!proyectarConservacion.banderaAceptarDireccionNormalizada}"
                                  value="La dirección normalizada es: #{proyectarConservacion.direccionNormalizada}"
                                  id="direccionNormalizadaEtapas" style="width:150px;height:16px;text-decoration: underline"
                                  styleClass="outputTextStyle" />
                    <h:outputText rendered="#{proyectarConservacion.banderaAceptarDireccionNormalizada}"
                                  value="La dirección no pudo ser normalizada"
                                  id="direccionNoNormalizada" style="width:150px;height:16px;text-decoration: underline"
                                  styleClass="outputTextStyle" />
                    <p:selectBooleanCheckbox value="#{proyectarConservacion.normalizadaBool}"
                                             disabled="#{proyectarConservacion.banderaAceptarDireccionNormalizada}"
                                             id="normalizadaBoolEtapas" />
                    <h:outputLabel value="Aceptar"
                                   styleClass="outputLabelStyle" />
                </h:panelGrid>
            </p:fieldset>

        </h:panelGrid>
    </p:fieldset>  
    <p:spacer height="10" /> 
    <div style="text-align: right;">

        <p:spacer width="10" /> 
        <p:commandButton value="Guardar" icon="ui-icon-disk"  id="aceptarDireccionBtn"
                         update=":tabView1:entradaProyeccionForm, :direccionEtapasForm:direccionEtapasMsgs"
                         action="#{entradaProyeccion.asignarDireccionMasivo}"
                         disabled="#{proyectarConservacion.direccionNormalizada == null or proyectarConservacion.direccionNormalizada == ''}" 
                         oncomplete="handleCompleteSIC(xhr, status, args, direccionWV, false);"/>
        <p:spacer width="10" /> 
        <p:commandButton value="Cerrar" icon="ui-icon-close" oncomplete="direccionWV.hide();"/>
        <p:spacer width="20" /> 
    </div>
</h:form>